{% extends "elections2021/base.html" %}
{% load static wagtailcore_tags wagtailimages_tags wagtailroutablepage_tags elections2021_extras %}

{% block content_header %}

{% if active_plan %}
  <article class="relative w-full ">
    <div class="grid grid-cols-12">
      <div class="col-span-12 lg:col-span-5 grid grid-cols-12">
        <div class="col-span-8 lg:col-span-12 bg-acidgreen pl-16 md:pl-24 lg:pl-32 pr-16 py-4 md:py-12">
          <h1 class="head-alt-md sm:head-alt-lg max-w-xs">{{ title }}</h1>
        </div>
        <div class="col-span-4 lg:col-span-12 bg-black text-white pl-8 md:pl-24 lg:pl-32 pr-4 md:pr-16 py-4 md:py-12">
          <img src="{% static head_image %}" height="128" style="filter:invert(1)" width="128">
        </div>
      </div>
      <div class="col-span-12 lg:col-span-7 bg-lemon pl-8 pr-8 lg:pr-32 py-12 para">
        {{ head_text|richtext }}
      </div>
    </div>
  </article>
{% elif active_ministry %}
  {% include "elections2021/_page_header.html" with title=title photo=head_photo %}
{% elif active_my_program %}
  <article class="hero-listing relative bg-lemon md:bg-split-color px-4 md:pl-8 md:pr-0 2xl:px-8 hero py-0 w-full ">
    <div class="2xl:container w-auto bg-lemon md:pl-20 pr-0 grid lg:grid-rows-1 lg:grid-cols-7 items-center 2xl:mx-auto">
      <div class="lg:row-span-1 lg:col-span-4 order-1 py-14 md:pr-20">
        <div class="para">{{ archetype_text|richtext }}</div>
        <p class="head-alt-2xs mt-8">{{ archetype_author_1|default:"" }}</p>
        <p class="head-alt-2xs mt-2">{{ archetype_author_2|default:"" }}</p>
      </div>
      <div class="hidden lg:block lg:row-span-2 lg:col-span-3 order-2 h-full 2xl:absolute 2xl:right-0 2xl:w-1/3">
        {% image archetype_photo fill-618x256 class="object-cover w-full h-full" %}
      </div>
    </div>
  </article>
{% else %}
  {% include "elections2021/_page_header.html" with title=page.head_title photo=page.photo %}
{% endif %}

{% endblock %}

{% block content %}

<div class="container container--default pt-8 pb-16 lg:py-24">
  <div class="text-center">

    <div>
      <div class="mb-8 relative">
        <form action="{{ page.root_page.program_page_url }}" method="get">
          <label id="searchlabel" class="cursor-text block elevation-8 relative w-full bg-white shadow-sm px-8 py-7 text-left cursor-default focus:outline-none focus:ring-1 focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm" aria-haspopup="listbox" aria-expanded="true" aria-labelledby="listbox-label">
            <span class="flex items-center">
              <i class="text-2xl ico--search"></i>
              <input type="text" name="q" value="{{ query|default:"" }}" class="w-full ml-3 block truncate focus:outline-none" placeholder="Co Vás zajímá?">
            </span>
            <div href="#" class="mx-3 absolute inset-y-0 right-0 flex items-center py-8 no-underline hover:no-underline">
              <button class="btn ">
                <div class="btn__body bg-fxactivecolor text-black text-lg p-4">Zobrazit</div>
              </button>
            </div>
          </label>
        </form>
      </div>
    </div>

    {% if has_my_program %}
      <div id="progamswitch" class="switch mb-4">
        {% if active_my_program %}
          <span class="switch__item switch__item--active">Program pro mě</span>
          <a href="{% pageurl page %}" class="switch__item">Úplný program</a>
        {% elif query %}
          <a href="{% routablepageurl page "my_program" %}" class="switch__item">Program pro mě</a>
          <a href="{% pageurl page %}" class="switch__item">Úplný program</a>
        {% else %}
          <a href="{% routablepageurl page "my_program" %}" class="switch__item">Program pro mě</a>
          <cpan class="switch__item switch__item--active">Úplný program</span>
        {% endif %}
      </div>
    {% endif %}

    {% if not active_my_program %}
      <div class="filters">
        <div class="select inline-flex w-full md:w-auto my-2 {% if active_ministry %}text-black{% else %}text-white{% endif %}">
          <select id="select_ministry" class="select__control form-field__control bg-black block filter-pirati-stan" data-chosen="{{ active_ministry }}">
            <option value="x" {% if not active_ministry %}selected="selected"{% endif %}>Podle oblasti</option>
            {% for val, name in ministry_choices %}
              <option value="{{ val }}" {% if active_ministry == val %}selected="selected"{% endif %}>{{ name }}</option>
            {% endfor %}
          </select>
        </div>
        <div class="select inline-flex w-full md:w-auto my-2 {% if active_plan %}text-black{% else %}text-white{% endif %}">
          <select id="select_plan" class="select__control form-field__control bg-black block filter-pirati-stan" data-chosen="{{ active_plan }}">
            <option value="x">Podle plánu</option>
            {% for val, name in plan_choices %}
              <option value="{{ val }}" {% if active_plan == val %}selected=""{% endif %}>{{ name }}</option>
            {% endfor %}
          </select>
        </div>
      </div>

      <script>
        var baseUrl = "{% pageurl page %}";
        var selectMinistry = document.getElementById("select_ministry");
        var selectPlan = document.getElementById("select_plan");

        selectMinistry.addEventListener("change", function(e) {
          if (this.value == "x") {
            location.href = baseUrl;
          }
          else {
            location.href = baseUrl + "resort/" + this.value + "/";
          }
        });

        selectPlan.addEventListener("change", function(e) {
          if (this.value == "x") {
            location.href = baseUrl;
          }
          else {
            location.href = baseUrl + "plan/" + this.value + "/";
          }
        });
      </script>
    {% endif %}

  </div>

  <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-8 pt-8">

    {% for point in points %}
      {% include "elections2021/_program_point_block.html" %}

      {% if show_app_banner %}
        {% if forloop.counter == 3 or forloop.counter < 3 and forloop.last %}
          {% include "elections2021/_program_app_banner.html" %}
        {% endif %}
      {% endif %}
    {% endfor %}

  </div>

  {% if query and not points %}
    <div class="text-center mt-8">
      <p class="para"><i>Žádný relevantní programový bod nenalezen. Zkuste vyhledat něco jiného.</i></p>
    </div>
  {% endif %}

  {% if show_pagination %}
    <div class="text-center mt-16">
      {% include "elections2021/_pagination.html" with paginator=points query=query %}
    </div>
  {% endif %}
</div>

{% endblock %}
